SDL_TimerData Struct Reference
Collaboration diagram for SDL_TimerData:
[legend]

## Data Fields

SDL_Thread * | thread
SDL_atomic_t | nextID
SDL_TimerMap * | timermap
SDL_mutex * | timermap_lock
char | cache_pad [SDL_CACHELINE_SIZE]
SDL_SpinLock | lock
SDL_sem * | sem
SDL_Timer *volatile | pending
SDL_Timer *volatile | freelist
volatile SDL_bool | active
SDL_Timer * | timers

## Detailed Description

Definition at line 50 of file SDL_timer.c.

## Field Documentation

volatile SDL_bool SDL_TimerData::active

Definition at line 65 of file SDL_timer.c.

Referenced by SDL_AddTimer(), SDL_TimerInit(), SDL_TimerQuit(), and SDL_TimerThread().

char SDL_TimerData::cache_pad[SDL_CACHELINE_SIZE]

Definition at line 58 of file SDL_timer.c.

SDL_Timer* volatile SDL_TimerData::freelist

Definition at line 64 of file SDL_timer.c.

Referenced by SDL_AddTimer(), SDL_TimerQuit(), and SDL_TimerThread().

SDL_SpinLock SDL_TimerData::lock

Definition at line 61 of file SDL_timer.c.

Referenced by SDL_AddTimer(), and SDL_TimerThread().

SDL_atomic_t SDL_TimerData::nextID

Definition at line 53 of file SDL_timer.c.

Referenced by SDL_AddTimer(), and SDL_TimerInit().

SDL_Timer* volatile SDL_TimerData::pending

Definition at line 63 of file SDL_timer.c.

Referenced by SDL_AddTimer(), and SDL_TimerThread().

SDL_sem* SDL_TimerData::sem

Definition at line 62 of file SDL_timer.c.

Referenced by SDL_AddTimer(), SDL_TimerInit(), SDL_TimerQuit(), and SDL_TimerThread().

SDL_Thread* SDL_TimerData::thread

Definition at line 52 of file SDL_timer.c.

Referenced by SDL_TimerInit(), and SDL_TimerQuit().

SDL_TimerMap* SDL_TimerData::timermap

Definition at line 54 of file SDL_timer.c.

Referenced by SDL_AddTimer(), SDL_RemoveTimer(), and SDL_TimerQuit().

SDL_mutex* SDL_TimerData::timermap_lock

Definition at line 55 of file SDL_timer.c.

Referenced by SDL_AddTimer(), SDL_RemoveTimer(), SDL_TimerInit(), and SDL_TimerQuit().

SDL_Timer* SDL_TimerData::timers

Definition at line 68 of file SDL_timer.c.

Referenced by SDL_AddTimerInternal(), SDL_TimerQuit(), and SDL_TimerThread().

The documentation for this struct was generated from the following file:

- src/timer/SDL_timer.c